html {
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100vh;
  width: 100vw;
}

body {
  background-color: #f0f0f0;
  display:flex;
  flex-direction:column;
  margin: auto;
  font-size: calc(9pt + 0.5vw);
  font-family: Arial;
  /*font-weight: bold;/**/
  color: #787878;
  width: 100vw;
  overflow-x: hidden;
  scrollbar-width:none;
}


body > *  {
  display: flex;
  position: relative;
  width: calc(85vw - calc(1.5em + 4px));
  min-height: 3em;
  border-radius: 1em;
  margin: 0.5em auto 0 auto;
  /*border-style:solid;
  border-width: 2px;/**/
  padding: 0.5em 0.5em 0.5em 1em;
  
  background-color: #78787850; 
  box-shadow: 0.1vw 0.3vw 0.3vw #888888;

  /*text-shadow: 2px 2px 2px #00000080;/**/
}

.timestamp {
  position: absolute;
  bottom:0.8em;
  right: 0.8em;
  height: 0.8em;
  font-size: calc(calc(9pt + 0.5vw) * 0.7);
  color:#787878;
  /*text-shadow: 2px 2px 2px #00000060;/**/
}

.message {
  margin-bottom: 1.2em;
  min-height: 1.2em;
  width: 100%; 
  text-align: left;
}

.info {
  background-color: #87cefa50; 
  box-shadow: 0.1vw 0.3vw 0.3vw #87defa;
  /*border-color: lightskyblue;/**/
}

.warn {
  background-color: #ffb84d50;
  box-shadow: 0.1vw 0.3vw 0.3vw #ffb85d;
  /*border-color: #ffb84d;/**/
}

.error {
  background-color: #f0808050;
  box-shadow: 0.1vw 0.3vw 0.3vw #f09090;
  /*border-color: lightcoral;/**/
}


